# Uses of Enum Class
org.apache.sysds.parser.Statement.PSUpdateType

Packages that use Statement.PSUpdateType
Package
Description
org.apache.sysds.parser
org.apache.sysds.runtime.controlprogram.paramserv

## Uses of Statement.PSUpdateType in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return Statement.PSUpdateType
Modifier and Type
Method
Description
`static Statement.PSUpdateType`
Statement.PSUpdateType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Statement.PSUpdateType[]`
Statement.PSUpdateType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Statement.PSUpdateType in org.apache.sysds.runtime.controlprogram.paramserv

Methods in org.apache.sysds.runtime.controlprogram.paramserv with parameters of type Statement.PSUpdateType
Modifier and Type
Method
Description
`static HEParamServer`
HEParamServer.`create(ListObject model, String aggFunc, Statement.PSUpdateType updateType, Statement.PSFrequency freq, ExecutionContext ec, int workerNum, String valFunc, int numBatchesPerEpoch, MatrixObject valFeatures, MatrixObject valLabels, int nbatches, int numBackupWorkers)`
`static LocalParamServer`
LocalParamServer.`create(ListObject model, String aggFunc, Statement.PSUpdateType updateType, Statement.PSFrequency freq, ExecutionContext ec, int workerNum, String valFunc, int numBatchesPerEpoch, MatrixObject valFeatures, MatrixObject valLabels, int nbatches, boolean modelAvg, int numBackupWorkers)`